The perils of multiple Pythons

Terry Reedy tjreedy at udel.edu
Mon Apr 30 21:31:55 EDT 2018


On 4/30/2018 5:03 PM, Chris Angelico wrote:

> Yep. Munroe (the author of XKCD) is clearly using a Mac, though, and
> Macs don't ship with Python 3.5+. So there's a bootstrapping problem:
> how do you install a newer Python? There are about half a dozen
> options.

I think the situation is improved with 3.7 Mac installer, which includes 
and installs an up-to-date tcl/tk, instead of telling people, on a 
separate page that many do not go to, to separately install a less 
ancient tcl/tk from ActiveState, which some have trouble doing, or 
switch to another distribution, which has its own issues.


-- 
Terry Jan Reedy



More information about the Python-list mailing list